For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Virtual Account

Get Virtual Account

get
/v0/customers/{customer_id}/virtual-account/{virtual_account_id}

Returns Virtual Account deposit information

Path parameters
customer_idstringRequired

The unique identifier of the customer

virtual_account_idstringRequired

The unique identifier of the virtual account

Header parameters
Api-KeystringRequired

Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.

Responses
200

Successful virtual account retrieval

application/json
or
get/v0/customers/{customer_id}/virtual-account/{virtual_account_id}
GET /v0/customers/{customer_id}/virtual-account/{virtual_account_id} HTTP/1.1
Host: api.alignlabs.dev
Api-Key: text
Accept: */*
200

Successful virtual account retrieval

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5",
  "deposit_instructions": {
    "payment_rails": [
      "sepa"
    ],
    "currency": "eur",
    "bank_name": "text",
    "bank_address": "text",
    "account_holder_name": "text",
    "iban": {
      "bic": "text",
      "iban_number": "text"
    }
  }
}

Last updated